!=======================================================================

SUBROUTINE  L_BOUND_SYM (L)

  USE PRECISION, ONLY :                                                &
                        WP
  USE SOURCE   , ONLY :                                                &
                        INC
  USE WAVEFIELD, ONLY :                                                &
                        U, W
  IMPLICIT NONE

  INTEGER, INTENT(IN) :: L


  IF  ( INC .EQ. 0 ) THEN

    W (1,L) =  W (4,L)
    W (2,L) =  W (3,L)
    U (2,L) = -U (4,L)
    U (3,L) =  0._WP

  ELSE

    W (1,L) = -W (5,L)
    W (2,L) = -W (4,L)
    W (3,L) =  0._WP
    U (2,L) =  U (5,L)
    U (3,L) =  U (4,L)

  END IF

END SUBROUTINE  L_BOUND_SYM
