!=======================================================================

SUBROUTINE  SNAP  ( NUMSNAP, UT, WT, SN_BASE_1, SN_BASE_2 )

  USE PRECISION   , ONLY: WP
  USE CONTROL_DATA, ONLY: KEY_SH, KEY_1D

  IMPLICIT NONE

  INTEGER          ,                  INTENT(IN) :: NUMSNAP
  REAL (WP)        , DIMENSION(:,0:), INTENT(IN) :: UT, WT
  CHARACTER (LEN=8),                  INTENT(IN) :: SN_BASE_1, SN_BASE_2

  CHARACTER (LEN=13) :: SNAP_NAME

!_______________________________________________________ U COMPONENT ___

  IF ( .NOT.(KEY_SH) .AND. .NOT.(KEY_1D) ) THEN
    SNAP_NAME (1:8) = SN_BASE_1

    WRITE ( SNAP_NAME (9:13), '(I5.5)') NUMSNAP

    OPEN  (30, FILE = SNAP_NAME, FORM = 'UNFORMATTED', STATUS='NEW')

    WRITE (30) UT

    CLOSE (30)
  END IF
!_______________________________________________________ W COMPONENT ___

  SNAP_NAME (1:8) = SN_BASE_2

  WRITE ( SNAP_NAME (9:13), '(I5.5)') NUMSNAP

  OPEN  (31, FILE = SNAP_NAME, FORM = 'UNFORMATTED', STATUS='NEW')

  WRITE (31) WT

  CLOSE (31)


END SUBROUTINE  SNAP
