!=======================================================================

SUBROUTINE  STO_BOU_MZ1

  USE CONTROL_DATA, ONLY:                                              &
                          MX
  USE AUXIL       , ONLY:                                              &
                          MZ1,                                         &
                          USTM1MZ1, WSTM1MZ1,                          &
                          UST0MZ1 , WST0MZ1
  USE WAVEFIELD   , ONLY:                                              &
                          U, W

  IMPLICIT NONE

  INTEGER :: I


  DO  I = 2, MX

    USTM1MZ1 (I)  =  UST0MZ1 (I     )
    UST0MZ1  (I)  =  U       (I, MZ1)

  END DO

  DO  I = 1, MX

    WSTM1MZ1 (I)  =  WST0MZ1 (I    )
    WST0MZ1  (I)  =  W       (I,MZ1)

  END DO

END SUBROUTINE  STO_BOU_MZ1
