!=======================================================================
! module contains procedures, function and variables for
! creating and working with aproximation of sediments/bedrock interface
!=======================================================================

MODULE MOD_MODEL

  USE MOD_PRECISION, ONLY: WP

!------------------------------------------------------ public variables

  IMPLICIT NONE

  INTEGER  :: NP, NI, MX, LHOM, PTS, PTS2
  REAL(WP) :: H, H2, HPTS
  REAL(WP) :: XBMIN, XBMAX, XIMIN, XIMAX, ZHOM
  LOGICAL  :: KEY_Q

  REAL(WP), ALLOCATABLE, DIMENSION(:,:)   :: INT_SED
  REAL(WP), ALLOCATABLE, DIMENSION(:,:,:) :: IPAR

END MODULE MOD_MODEL
