!=======================================================================

PROGRAM MODELPSV

  USE MOD_PRECISION , ONLY : WP
  USE MOD_INTERFACES, ONLY : SETPARAMS, ALLOC, READ_MODEL,             &
                             PREPARE_MODEL, PARAMETERS_INDICES

!-----------------------------------------------------------------------

  IMPLICIT NONE

  REAL(WP) :: TIME, TIME_BEGIN

!-----------------------------------------------------------------------


  CALL CPU_TIME ( TIME_BEGIN )

  CALL SETPARAMS

  CALL ALLOC

  CALL READ_MODEL

  CALL PREPARE_MODEL

  CALL PARAMETERS_INDICES

  CALL WRITE_PARAMETERS

  CALL CPU_TIME(TIME)

  TIME = TIME-TIME_BEGIN
  PRINT *,'CPU TIME: ',TIME,' [s]'
  WRITE(99,*)'CPU TIME: ',TIME,' [s]'
  CLOSE(99)

END PROGRAM MODELPSV
