!=======================================================================

SUBROUTINE  DISP_INT (L)

  USE CONTROL_DATA, ONLY:                                              &
                          DT
  USE AUXIL       , ONLY:                                              &
                          MX1
  USE WAVEFIELD   , ONLY:                                              &
                          U, W, VU, VW

  IMPLICIT NONE

  INTEGER, INTENT (IN) :: L

  INTEGER              :: I


  DO  I = 3, MX1

      U (I,L) = U (I,L) + DT * VU (I,L)

  END DO

  DO  I = 2, MX1

      W (I,L) = W (I,L) + DT * VW (I,L)

  END DO

END SUBROUTINE  DISP_INT
