!=======================================================================

SUBROUTINE  HLINE_PW

  USE CONTROL_DATA, ONLY:                                              &
                          MX
  USE AUXIL       , ONLY:                                              &
                          MX1, MX2
  USE WAVEFIELD   , ONLY:                                              &
                          U, W, VU, VW,                                &
                          XZX, XZZ
  USE STRESSFIELD , ONLY:                                              &
                          TZXMW, TZZMW
  USE T_INTERFACES, ONLY:                                              &
                          PW_S_INT, PW_S_2ND

  IMPLICIT NONE


  CALL  PW_S_INT  (                 MX1T = MX1  ,   MX2T = MX2  ,      &
                        UT = U  ,     WT = W    ,                      &
                                  XZXT   = XZX  , XZZT   = XZZ  ,      &
                                  TZXMWT = TZXMW, TZZMWT = TZZMW  )

  CALL  PW_S_2ND  (                 MX1T = MX1  ,                      &
                        UT = U  ,     WT = W    ,                      &
                                                  XZZT   = XZZ  ,      &
                                                  TZZMWT = TZZMW  )

END SUBROUTINE  HLINE_PW
