!_______________________________________________________________________

MODULE AUXIL

  USE PRECISION, ONLY: WP

  IMPLICIT NONE

  REAL (WP), PARAMETER :: PI=3.141592653589793,                        &
                          A = -1._WP/24._WP, B = 9._WP/8._WP

  INTEGER      :: MX1, MX2, MZ1, MZ2, MZ3, LINH, LIN1, LIN2,           &
                                                 LOU1, LOU2, LOU3

  REAL    (WP) :: COD

  REAL    (WP) ::                                                      &
                  USTM12  , USTM13  , USTM14 ,                         &
                  USTM1MX2, USTM1MX1, USTM1MX,                         &
                  WSTM11  , WSTM12  , WSTM13 ,                         &
                  WSTM1MX2, WSTM1MX1, WSTM1MX

  REAL    (WP), DIMENSION (4) ::                                       &
                  OTA, OSA

  REAL    (WP), DIMENSION (:), ALLOCATABLE ::                          &
                  UST02   , UST03   , UST04  ,                         &
                  WST01   , WST02   , WST03  ,                         &
                  UST0MX  , UST0MX1 , UST0MX2,                         &
                  WST0MX  , WST0MX1 , WST0MX2,                         &
                  UST0MZ  , UST0MZ1 , UST0MZ2,                         &
                  WST0MZ  , WST0MZ1 , WST0MZ2,                         &
                  USTM1MZ1, USTM1MZ2,                                  &
                  WSTM1MZ1, WSTM1MZ2
                  

END MODULE AUXIL
