!=======================================================================

SUBROUTINE  R_BOUND_SYM (L)

  USE PRECISION   , ONLY:                                              &
                          WP
  USE CONTROL_DATA, ONLY:                                              &
                          MX
  USE AUXIL       , ONLY:                                              &
                          MX1, MX2
  USE SOURCE      , ONLY:                                              &
                          INC
  USE WAVEFIELD   , ONLY:                                              &
                          U, W

  IMPLICIT NONE

  INTEGER,   INTENT(IN):: L


  IF  ( INC .EQ. 0 ) THEN

    W (MX ,L) =  W (MX-3,L)
    W (MX1,L) =  W (MX2 ,L)
    U (MX ,L) = -U (MX2 ,L)
    U (MX1,L) =  0._WP

  ELSE   

    W (MX ,L) = -W (MX-4,L)
    W (MX1,L) = -W (MX-3,L)
    W (MX2,L) =  0._WP
    U (MX ,L) =  U (MX-3,L)
    U (MX1,L) =  U (MX2 ,L)

  END IF

END SUBROUTINE  R_BOUND_SYM
