!=======================================================================
SUBROUTINE  RECORD_ALL

  USE AUXIL       , ONLY:                                              &
                          UST02 , UST03  , UST04  ,                    &
                          WST01 , WST02  , WST03  ,                    &
                          UST0MX, UST0MX1, UST0MX2,                    &
                          WST0MX, WST0MX1, WST0MX2,                    &
                          UST0MZ, UST0MZ1, UST0MZ2,                    &
                          WST0MZ, WST0MZ1, WST0MZ2
  USE WAVEFIELD   , ONLY:                                              &
                          U, VU, W, VW,                                &
                          XXX, XZX, XTZX, XRZX,                        &
                               XZZ, XTZZ, XRZZ
  IMPLICIT NONE


  WRITE (50) U, W, VU, VW

  WRITE (50) XXX,                                                      &
             XZX, XTZX, XRZX,                                          &
             XZZ, XTZZ, XRZZ

  WRITE (50) UST02 , UST03  , UST04  ,                                 &
             WST01 , WST02  , WST03  ,                                 &
             UST0MX, UST0MX1, UST0MX2,                                 &
             WST0MX, WST0MX1, WST0MX2,                                 &
             UST0MZ, UST0MZ1, UST0MZ2,                                 &
             WST0MZ, WST0MZ1, WST0MZ2

  CLOSE (50)

END SUBROUTINE  RECORD_ALL
