!=======================================================================

SUBROUTINE  STO_BOU ( L )

  USE CONTROL_DATA, ONLY:                                              &
                          MX
  USE AUXIL       , ONLY:                                              &
                          MX1, MX2,                                    &
                          UST02  , UST03   , UST04   ,                 &
                          WST01  , WST02   , WST03   ,                 &
                          UST0MX , UST0MX1 , UST0MX2 ,                 &
                          WST0MX , WST0MX1 , WST0MX2 ,                 &
                          USTM12 , USTM13  , USTM14  ,                 &
                          WSTM11 , WSTM12  , WSTM13  ,                 &
                          USTM1MX, USTM1MX1, USTM1MX2,                 &
                          WSTM1MX, WSTM1MX1, WSTM1MX2
  USE WAVEFIELD   , ONLY:                                              &
                          U, W

  IMPLICIT NONE

  INTEGER, INTENT (IN) :: L


  USTM12    =  UST02   (L)
  USTM13    =  UST03   (L)
  USTM14    =  UST04   (L)
  USTM1MX2  =  UST0MX2 (L)
  USTM1MX1  =  UST0MX1 (L)
  USTM1MX   =  UST0MX  (L)

  WSTM11    =  WST01   (L)
  WSTM12    =  WST02   (L)
  WSTM13    =  WST03   (L)
  WSTM1MX2  =  WST0MX2 (L)
  WSTM1MX1  =  WST0MX1 (L)
  WSTM1MX   =  WST0MX  (L)

  UST02   (L)  =  U (2  ,L)
  UST03   (L)  =  U (3  ,L)
  UST04   (L)  =  U (4  ,L)
  UST0MX2 (L)  =  U (MX2,L)
  UST0MX1 (L)  =  U (MX1,L)
  UST0MX  (L)  =  U (MX ,L)

  WST01   (L)  =  W (1  ,L)
  WST02   (L)  =  W (2  ,L)
  WST03   (L)  =  W (3  ,L)
  WST0MX2 (L)  =  W (MX2,L)
  WST0MX1 (L)  =  W (MX1,L)
  WST0MX  (L)  =  W (MX ,L)

END SUBROUTINE STO_BOU
