!=======================================================================

SUBROUTINE  STO_BOU_MZ2

  USE CONTROL_DATA, ONLY:                                              &
                          MX
  USE AUXIL       , ONLY:                                              &
                          MZ2,                                         &
                          USTM1MZ2, WSTM1MZ2,                          &
                          UST0MZ2 , WST0MZ2
  USE WAVEFIELD   , ONLY:                                              &
                          U, W

  IMPLICIT NONE

  INTEGER :: I


  DO  I = 2, MX

    USTM1MZ2 (I)  =  UST0MZ2 (I     )
    UST0MZ2  (I)  =  U       (I, MZ2)

  END DO

  DO  I = 1, MX

    WSTM1MZ2 (I)  =  WST0MZ2 (I    )
    WST0MZ2  (I)  =  W       (I,MZ2)

  END DO

END SUBROUTINE  STO_BOU_MZ2
