!=======================================================================

MODULE MOD_ATTEN

  USE MOD_PRECISION, ONLY : WP

!----------------------------------------------------------------------

  IMPLICIT NONE

  INTEGER, PARAMETER :: N_FREQ = 4, N2_FREQ = 7

  REAL(WP) :: QP_HOM, QS_HOM, FRJMAX, FRANGE, FREF

  REAL(WP)   , DIMENSION(1:N_FREQ)           :: YMU_HOM, YL2M_HOM
  REAL(WP)   , DIMENSION(1:N_FREQ)           :: FRJ, THE1, THE2
  REAL(WP)   , DIMENSION(1:N2_FREQ)          :: FRK, PLO
  REAL(WP)   , DIMENSION(1:N_FREQ,1:N2_FREQ) :: FJK, FJJ
  COMPLEX(WP), DIMENSION(1:N_FREQ,1:N2_FREQ) :: CF

  REAL(WP)   , ALLOCATABLE, DIMENSION(:,:,:) :: INDEX_Y
  REAL(WP)   , ALLOCATABLE, DIMENSION(:,:,:) :: YMUZX, YMU, YL2M
  COMPLEX(WP), ALLOCATABLE, DIMENSION(:,:,:) :: YMI, YKI

END MODULE MOD_ATTEN
