!=======================================================================

SUBROUTINE PRINT_INFO

  USE MOD_MODEL, ONLY: H, MX, ZHOM, LHOM, XBMIN, XBMAX

  IMPLICIT NONE

!----------------------------------------------------------------------

  !---------------------------------------------------------------------
  ! send info about model on screen 
  !---------------------------------------------------------------------
  WRITE(*,*) 'Spacing in the grid: H = ', H
  WRITE(*,*) 'Bounderies for interface sediments/bedrock aproximation:'
  WRITE(*,*) 'Calculation model boundaries: '
  WRITE(*,*) '  xbmin = ', XBMIN, ' xbmax = ', XBMAX
  WRITE(*,*) '  zbmin = ', ZHOM+2*H
  WRITE(*,*)
  WRITE(*,*) 'Number of grid cells in the grid:'
  WRITE(*,*) '    MX = ', MX
  WRITE(*,*) '  LHOM = ', LHOM
  WRITE(*,*) '    MZ = ', LHOM+2
  WRITE(*,*)

  !---------------------------------------------------------------------
  ! send info about model into a file
  !---------------------------------------------------------------------

  OPEN (99, FILE='model.log')

  WRITE(99,*) 'Spacing in the grid: H = ', H
  WRITE(99,*) 'Bounderies for interface sediments/bedrock aproximation:'
  WRITE(99,*) 'Calculation model boundaries: '
  WRITE(99,*) '  xbmin = ', XBMIN, ' xbmax = ', XBMAX
  WRITE(99,*) '  zbmin = ', ZHOM+2*H
  WRITE(99,*)
  WRITE(99,*) 'Number of grid cells in the grid:'
  WRITE(99,*) '    MX = ', MX
  WRITE(99,*) '  LHOM = ', LHOM
  WRITE(99,*) '    MZ = ', LHOM+2
  WRITE(99,*)

END SUBROUTINE PRINT_INFO
